function init()
	sledgetimer = 0
	toggletimer = 0
	sledgetoggle = false
end

function tick()
	if GetPlayerVehicle() == 0 and GetString("game.player.tool") == "sledge" then
		local body = GetPlayerPickBody()
		if InputPressed("rmb") and toggletimer <= 0 and body == 0 then 
			sledgetoggle = true 
			toggletimer = 10000
		end
		if toggletimer > 0 and toggletimer < 9999.5 and InputPressed("rmb") and body == 0 then 
			sledgetoggle = false 
			toggletimer = 0
		end	 
		if sledgetimer <= 0 and InputPressed("lmb") then 
			sledgetimer = .3 
		end	
		if sledgetimer > 0 and sledgetimer < .05 then	
			local t = GetCameraTransform()
			local pos = t.pos	
			local dir = TransformToParentVec(t, Vec(0, 0, -1))	
			local hit, dist = QueryRaycast(pos, dir, 3)
            local hitpoint = VecAdd(pos, VecScale(dir, dist))
            if hit and sledgetoggle == false then MakeHole(hitpoint, .6, .4, .3) end 
			if hit and sledgetoggle == true then MakeHole(hitpoint, 1, 1, 1) end 
		end
	end	
end

function update(dt)
	if sledgetimer > 0 then 
		sledgetimer = sledgetimer - dt 
	end
	if toggletimer > 0 then 
		toggletimer = toggletimer - dt 
	end
end

function draw()
	if GetString("game.player.tool") == "sledge" and GetBool("game.player.canusetool") and sledgetoggle == false then
		UiPush()
			UiAlign("center")
			UiTextOutline(0,0,0,1,0,0.1)
			UiTranslate(UiCenter()/1,UiHeight()*0.96)
			UiFont("bold.ttf", 46)
			UiColor(1,.1,0)
			UiText("Heavy")
			UiFont("bold.ttf", 45)
			UiColor(1,.5,0)
			UiText("Heavy")
			UiFont("bold.ttf", 43)
			UiColor(1,1,0)
			UiText("Heavy")
			UiFont("bold.ttf", 40)
			UiColor(1,1,1)
			UiText("Heavy")
		UiPop()
	end
	if GetString("game.player.tool") == "sledge" and GetBool("game.player.canusetool") and sledgetoggle == true then
		UiPush()
			UiAlign("center")
			UiTextOutline(0,0,0,1,0,0.1)
			UiTranslate(UiCenter()/1,UiHeight()*0.96)
			UiFont("bold.ttf", 46)
			UiColor(1,.1,0)
			UiText("Super")
			UiFont("bold.ttf", 45)
			UiColor(1,.5,0)
			UiText("Super")
			UiFont("bold.ttf", 43)
			UiColor(1,1,0)
			UiText("Super")
			UiFont("bold.ttf", 40)
			UiColor(1,1,1)
			UiText("Super")
		UiPop()
	end
end

-- Creation by BattleBob72 --